%define formats rom
%define qemuroms rtl8029 ne 8086100e pcnet32 rtl8139 virtio-net

Name: gpxe-roms
Version: 1.0.1
Release: alt1

Summary: Network boot loader roms in .rom format
License: GPL
Group: Emulators
Url: etherboot.org
Source: %name-%version-%release.tar

Requires: %name-qemu = %version-%release

BuildRequires: mkisofs mtools syslinux

%description
gPXE is an implementation of the PXE specification for network
booting, with extensions to allow additional features such as booting
via HTTP, iSCSI, and AoE.

This package contains the gPXE roms in .rom format.

%package qemu
Summary: Network boot loader roms supported by QEMU, .rom format
Group: Emulators

%description qemu
gPXE is an implementation of the PXE specification for network
booting, with extensions to allow additional features such as booting
via HTTP, iSCSI, and AoE.

This package contains the gPXE ROMs for devices emulated by QEMU, in
.rom format.


%prep
%setup

%build
make -C src
rm -f src/drivers/net/bnx2*.[ch]
make -C src allroms

%install
mkdir -p %buildroot%_libexecdir/gpxe

pushd src/bin/

for fmt in %formats; do
 for img in *.${fmt}; do
      if [ -e $img ]; then
   install -pm0644 $img %buildroot%_libexecdir/gpxe/
   echo %_libexecdir/gpxe/$img >> ../../${fmt}.list
  fi
 done
done
popd

# the roms supported by qemu will be packaged separatedly
# remove from the main rom list and add them to qemu.list
for fmt in rom ; do
 for rom in %qemuroms ; do
  sed -i -e "/\/${rom}.${fmt}/d" ${fmt}.list
  echo %_libexecdir/gpxe/${rom}.${fmt} >> qemu.${fmt}.list
 done
done

%files -f rom.list
%doc COPYING COPYRIGHTS

%files qemu -f qemu.rom.list
%doc COPYING COPYRIGHTS

%changelog
* Fri Dec 24 2010 Alexey Shabalin <shaba@altlinux.ru> 1.0.1-alt1
- fork gpxe package
- build roms only
- qemu subpackage
